Skip to main content

Qlik Replicate

Discussion board for collaboration on Qlik Replicate.

Announcements
NEW webinar Dec. 7th: 2023 Outlook, A Pivotal Year for Data Integration SIGN ME UP!
cancel
Showing results for 
Search instead for 
Did you mean: 
Zenith_Ian
Contributor II
Contributor II

CVE_2021_44228 for older versions of replicate

We are still running  older versions of replicate (still down as attunity replicate) - v6.2.0.330 and 6.3.0.320 and would like to know if these versions are also affected by the same Java issue. I looked at the qlik replicate solution and the file and directory do not exist(root>\Replicate\endpoint_srv\bin\rependctl.bat ), so wondered if there was a file that we could change short term while we plan our long over due  upgrade to latest qlik replicate versions?

Thanks

Ian

Labels (1)
1 Reply
john_wang
Support
Support

Hello Ian, @Zenith_Ian ,

Replicate 6.2 does not introduce the endpoint server yet. However the old Replicate versions include 5.5/6.2/6.4/6.5 are out of support. The minimize support version is  April 2020 (formerly version number 6.6). see Qlik Replicate Product Lifecycle .

As the dedicated article  states, the steps we provided mitigate (or reduce risk) of the issue, but they do not eliminate the risk. The only way to do that is to patch the affected products, which the article also specifies. So the best approach is upgrade to latest patched version.

BTW, before the upgrade please take care if the source/target database versions (include the server version, and corresponding client driver version) are supported, and also verify if the Replicate OS version is supported as well in Support Matrix . Please Check the Release Notes  of each major version for the detailed upgrade instructions.

Hope this helps.

Regards,

John.